﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class Tank : MonoBehaviour {

    GameObject goshell = null;
    bool action = false;

    public Rigidbody2D rb;

	// Use this for initialization
	void Start () {
        goshell = transform.FindChild("tama").gameObject;
        goshell.SetActive(false);
        rb = GetComponent<Rigidbody2D>();
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetMouseButton(0))
        {
            Vector2 tapPoint = Camera.main.ScreenToWorldPoint(Input.mousePosition);
            Collider2D collition2d = Physics2D.OverlapPoint(tapPoint);
            if (collition2d)
            {
                if(collition2d.gameObject == gameObject)
                {
                    action = true;
                }
            }
            if (action)
            {
                rb.AddForce(new Vector2(+15.0f, 0.0f));
            }
        }
        else
        {
            if(Input.GetMouseButtonUp(0) && action)
            {
                if (goshell)
                {
                    goshell.SetActive(true);
                    goshell.GetComponent<Rigidbody2D>().AddForce(new Vector2(+300.0f, +500.0f));
                    Destroy(goshell.gameObject, 3.0f);
                }
                action = false;
            }
        }
	}

    void OnGUI()
    {
        if(GUI.Button(new Rect(10, 10, 100, 20), "リセット"))
        {
            string sceneName = SceneManager.GetActiveScene().name;
            SceneManager.LoadScene(sceneName);
        }
    }
}
